\begin{tikzpicture}[framed]
  % Define styles
  \tikzset{node distance=0.5cm}
  \tikzset{bend angle=45}
  \tikzset{>=stealth}
  \tikzset{
    every place/.style={
      minimum size=8mm, thick, draw=black, fill=white
    }
  }
  \tikzset{
    every transition/.style={
      minimum height=8mm, minimum width=0.5mm, thick, draw=black, fill=black
    }
  }

  % Define places and transitions
  \node [place, label=above:$p_{i0}$, tokens=1] (p0) {};
  \node [transition, label=below:$t_{i1}$] (t1) [right=of p0] {};
  \node [place, label=above:$q_{i1}$] (q1) [right=of t1] {};
  \node [transition, label=below:$u_{i1}$] (u1) [right=of q1] {};

  \node [place, label=above:$p_{i1}$] (p1) [right=of u1] {};
  \node [transition, label=below:$t_{i2}$] (t2) [right=of p1] {};
  \node [place, label=above:$q_{i2}$] (q2) [right=of t2] {};
  \node [] (dots) [right=of q2] {$\cdots$};
  \node [transition, label=below:$u_{in_i}$] (un) [right=of dots] {};
  \node [place, label=above:$p_{in_i}$] (pn) [right=of un] {};
  \node [transition, label=below:$t_{i(n_i+1)}$] (tn) [right=of pn] {};
  \node [place, label=above:$q_{i(n_i+1)}$] (qn) [right=of tn] {};
  \node [transition, label=below:$u_{i(n_i+1)}$] (un2) [right=of qn] {};
  \node [place, label=above:$p_{i(n_i+1)}$] (pnn) [right=of un2] {};

  % Draw edges
  \draw [->, thick] (p0) -- (t1);
  \draw [->, thick] (t1) -- (q1);
  \draw [->, thick] (q1) -- (u1);
  \draw [->, thick] (u1) -- (p1);
  \draw [->, thick] (p1) -- (t2);
  \draw [->, thick] (t2) -- (q2);
  \draw [->, thick] (q2) -- (dots);
  \draw [->, thick] (dots) -- (un);
  \draw [->, thick] (un) -- (pn);
  \draw [->, thick] (pn) -- (tn);
  \draw [->, thick] (tn) -- (qn);
  \draw [->, thick] (qn) -- (un2);
  \draw [->, thick] (un2) -- (pnn);
\end{tikzpicture}
